package com.ruoyi.jarvis.domain;

import java.util.Date;

/**
 *
 * @TableName xb_message_item
 */
public class XbMessageItem {
    /**
     *
     */
    private Integer id;

    /**
     *
     */
    private Date createDate;

    /**
     *
     */
    private String skuid;

    /**
     * 主表id
     */
    private String xbMessageId;

    /**
     * jd_union_open_goods_query_responce.queryResult的完整JSON
     */
    private String jsonQueryResult;

    /**
     * couponInfo.couponList
     */
    private String jsonCouponList;

    /**
     * spuid
     */
    private String spuid;

    /**
     * skuName
     */
    private String skuName;

    /**
     * shopInfo
     */
    private String jsonShopInfo;

    /**
     * priceInfo
     */
    private String priceInfo;

    /**
     * commissionInfo
     */
    private String jsonCommissionInfo;

    /**
     * imageList
     */
    private String jsonImageList;

    /**
     * owner
     */
    private String owner;

    /**
     * categoryInfo
     */
    private String jsonCategoryInfo;

    /**
     *
     */
    public Integer getId() {
        return id;
    }

    /**
     *
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     *
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     *
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     *
     */
    public String getSkuid() {
        return skuid;
    }

    /**
     *
     */
    public void setSkuid(String skuid) {
        this.skuid = skuid;
    }

    /**
     * 主表id
     */
    public String getXbMessageId() {
        return xbMessageId;
    }

    /**
     * 主表id
     */
    public void setXbMessageId(String xbMessageId) {
        this.xbMessageId = xbMessageId;
    }

    /**
     * jd_union_open_goods_query_responce.queryResult的完整JSON
     */
    public String getJsonQueryResult() {
        return jsonQueryResult;
    }

    /**
     * jd_union_open_goods_query_responce.queryResult的完整JSON
     */
    public void setJsonQueryResult(String jsonQueryResult) {
        this.jsonQueryResult = jsonQueryResult;
    }

    /**
     * couponInfo.couponList
     */
    public String getJsonCouponList() {
        return jsonCouponList;
    }

    /**
     * couponInfo.couponList
     */
    public void setJsonCouponList(String jsonCouponList) {
        this.jsonCouponList = jsonCouponList;
    }

    /**
     * spuid
     */
    public String getSpuid() {
        return spuid;
    }

    /**
     * spuid
     */
    public void setSpuid(String spuid) {
        this.spuid = spuid;
    }

    /**
     * skuName
     */
    public String getSkuName() {
        return skuName;
    }

    /**
     * skuName
     */
    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    /**
     * shopInfo
     */
    public String getJsonShopInfo() {
        return jsonShopInfo;
    }

    /**
     * shopInfo
     */
    public void setJsonShopInfo(String jsonShopInfo) {
        this.jsonShopInfo = jsonShopInfo;
    }

    /**
     * priceInfo
     */
    public String getPriceInfo() {
        return priceInfo;
    }

    /**
     * priceInfo
     */
    public void setPriceInfo(String priceInfo) {
        this.priceInfo = priceInfo;
    }

    /**
     * commissionInfo
     */
    public String getJsonCommissionInfo() {
        return jsonCommissionInfo;
    }

    /**
     * commissionInfo
     */
    public void setJsonCommissionInfo(String jsonCommissionInfo) {
        this.jsonCommissionInfo = jsonCommissionInfo;
    }

    /**
     * imageList
     */
    public String getJsonImageList() {
        return jsonImageList;
    }

    /**
     * imageList
     */
    public void setJsonImageList(String jsonImageList) {
        this.jsonImageList = jsonImageList;
    }

    /**
     * owner
     */
    public String getOwner() {
        return owner;
    }

    /**
     * owner
     */
    public void setOwner(String owner) {
        this.owner = owner;
    }

    /**
     * categoryInfo
     */
    public String getJsonCategoryInfo() {
        return jsonCategoryInfo;
    }

    /**
     * categoryInfo
     */
    public void setJsonCategoryInfo(String jsonCategoryInfo) {
        this.jsonCategoryInfo = jsonCategoryInfo;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        XbMessageItem other = (XbMessageItem) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCreateDate() == null ? other.getCreateDate() == null : this.getCreateDate().equals(other.getCreateDate()))
            && (this.getSkuid() == null ? other.getSkuid() == null : this.getSkuid().equals(other.getSkuid()))
            && (this.getXbMessageId() == null ? other.getXbMessageId() == null : this.getXbMessageId().equals(other.getXbMessageId()))
            && (this.getJsonQueryResult() == null ? other.getJsonQueryResult() == null : this.getJsonQueryResult().equals(other.getJsonQueryResult()))
            && (this.getJsonCouponList() == null ? other.getJsonCouponList() == null : this.getJsonCouponList().equals(other.getJsonCouponList()))
            && (this.getSpuid() == null ? other.getSpuid() == null : this.getSpuid().equals(other.getSpuid()))
            && (this.getSkuName() == null ? other.getSkuName() == null : this.getSkuName().equals(other.getSkuName()))
            && (this.getJsonShopInfo() == null ? other.getJsonShopInfo() == null : this.getJsonShopInfo().equals(other.getJsonShopInfo()))
            && (this.getPriceInfo() == null ? other.getPriceInfo() == null : this.getPriceInfo().equals(other.getPriceInfo()))
            && (this.getJsonCommissionInfo() == null ? other.getJsonCommissionInfo() == null : this.getJsonCommissionInfo().equals(other.getJsonCommissionInfo()))
            && (this.getJsonImageList() == null ? other.getJsonImageList() == null : this.getJsonImageList().equals(other.getJsonImageList()))
            && (this.getOwner() == null ? other.getOwner() == null : this.getOwner().equals(other.getOwner()))
            && (this.getJsonCategoryInfo() == null ? other.getJsonCategoryInfo() == null : this.getJsonCategoryInfo().equals(other.getJsonCategoryInfo()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCreateDate() == null) ? 0 : getCreateDate().hashCode());
        result = prime * result + ((getSkuid() == null) ? 0 : getSkuid().hashCode());
        result = prime * result + ((getXbMessageId() == null) ? 0 : getXbMessageId().hashCode());
        result = prime * result + ((getJsonQueryResult() == null) ? 0 : getJsonQueryResult().hashCode());
        result = prime * result + ((getJsonCouponList() == null) ? 0 : getJsonCouponList().hashCode());
        result = prime * result + ((getSpuid() == null) ? 0 : getSpuid().hashCode());
        result = prime * result + ((getSkuName() == null) ? 0 : getSkuName().hashCode());
        result = prime * result + ((getJsonShopInfo() == null) ? 0 : getJsonShopInfo().hashCode());
        result = prime * result + ((getPriceInfo() == null) ? 0 : getPriceInfo().hashCode());
        result = prime * result + ((getJsonCommissionInfo() == null) ? 0 : getJsonCommissionInfo().hashCode());
        result = prime * result + ((getJsonImageList() == null) ? 0 : getJsonImageList().hashCode());
        result = prime * result + ((getOwner() == null) ? 0 : getOwner().hashCode());
        result = prime * result + ((getJsonCategoryInfo() == null) ? 0 : getJsonCategoryInfo().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", createDate=").append(createDate);
        sb.append(", skuid=").append(skuid);
        sb.append(", xbMessageId=").append(xbMessageId);
        sb.append(", jsonQueryResult=").append(jsonQueryResult);
        sb.append(", jsonCouponList=").append(jsonCouponList);
        sb.append(", spuid=").append(spuid);
        sb.append(", skuName=").append(skuName);
        sb.append(", jsonShopInfo=").append(jsonShopInfo);
        sb.append(", priceInfo=").append(priceInfo);
        sb.append(", jsonCommissionInfo=").append(jsonCommissionInfo);
        sb.append(", jsonImageList=").append(jsonImageList);
        sb.append(", owner=").append(owner);
        sb.append(", jsonCategoryInfo=").append(jsonCategoryInfo);
        sb.append("]");
        return sb.toString();
    }
}
